MSXBASE = ../msx
CFLAGS = -mz80 -I$(MSXBASE)
LDFLAGS = --code-loc 0x106 --data-loc 0 --no-std-crt0\
	$(MSXBASE)/crt0msx_msxdos.o $(MSXBASE)/ioport.o $(MSXBASE)/interrupt.o\
        msxlib.o
PROJ = adnukes
OBJ = $(PROJ).o msxlib.o
PIX = amppari.lt2 graffity.lt2 volkkari.lt2 otokka.lt2 vuorta.lt2 \
	taiwan.lt2 taiwan2.lt2 cards2.lt2 road.lt2 night.lt2\
	shroom.lt2 tigger.lt2 tequila.lt2 lampara.lt2 tlaloc.lt2

$(PROJ).com: $(OBJ)
	sdcc $(CFLAGS) $(OBJ) $(LDFLAGS)
	hex2bin -e com $(PROJ).ihx

%.o: %.c
	sdcc $(CFLAGS) -c $<

%.o: %.s
	as-z80 -o $@ $<

$(PROJ).dsk: $(PROJ).com $(PIX)
	-rm $@
	wrdsk $@ $(MSXBASE)/msxdos.sys $(MSXBASE)/command.com \
	         $(PIX) readme.txt autoexec.bat $<

run: $(PROJ).dsk
	om $<

clean:
	-rm *.lnk *.lst *.asm *.map *.o *.ihx *.com *~ *.sym *.dsk
